/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

package groovy.rainmaker.core;

import java.util.concurrent.ConcurrentHashMap

// TODO - this should probably use a ThreadLocal rather than a map
// with URL keys...

class RainmakerAuthenticator extends Authenticator
{
    static
    {
        Authenticator.setDefault(new RainmakerAuthenticator())
    }


    static ConcurrentHashMap pwAuths = new ConcurrentHashMap()


    PasswordAuthentication getPasswordAuthentication()
    {
        pwAuths.get(getRequestingURL())
    }
}


def setPasswordAuth(url, userid, password)
{
    RainmakerAuthenticator.pwAuths.put(url, new PasswordAuthentication(userid, password.toCharArray()))
}


def clearPasswordAuth(url)
{
    RainmakerAuthenticator.pwAuths.remove(url)
}
