/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

import com.ibm.websphere.users.Permissions;

//
// This REST API supports the following DP APIs:
//
// CPUUsage
// environmentalSensors
// filesystemStatus
// memoryStatus
// raidPhysDiskStatus
// raidVolumeStatus
// systemUsage
// temperatureSensors
//

def onList()
{
    if (!user.session[].permissions.contains(Permissions.APPLIANCE_ADMIN))
        return com.ibm.websphere.rest.RenderUtils.renderError(403, 'RM08008');
        
    def type = request.params.applianceId[];
    def results = getSystemMetrics(capitalize(type));
    
    request.view = com.ibm.websphere.rest.RenderUtils.getRequestedView();
    request.json.output = results;
    render();
}
