/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

dojo.provide("javascript.widgets.IPAddress");
dojo.declare("javascript.widgets.IPAddress", null, {   

    _parse: function(s) {
        var m = s.match(/^(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})$/);

        return m ?
            (m[1] << 24) | (m[2] << 16) | (m[3] << 8) | m[4] :
            null;
    },

    constructor: function(o) {
        if (typeof o == 'string')
            o = this._parse(o);

        else if (o instanceof IPAddress)
            o = o.bits;

        this.bits = o;
    },


    isInSubnet: function(subnet, mask) {
        subnet = new javascript.widgets.IPAddress(subnet).bits;
        mask = mask < 32 ? 0x10000000 >> (mask - 1) : new javascript.widgets.IPAddress(mask).bits;

        return (subnet & mask) == (this.bits & mask);
    },


    toString: function() {
        return '' +
            (this.bits >>> 24) + '.' +
            ((this.bits >>> 16) & 0xff) + '.' +
            ((this.bits >>> 8) & 0xff) + '.' +
            (this.bits & 0xff);
    }
});
